Package ru.bitel.bgbilling.modules.dialup.server.bean

# Class LoginIpManager

java.lang.Object
ru.bitel.bgbilling.modules.dialup.server.bean.LoginIpManager

public class LoginIpManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoginIpManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkIpAddrList(int lid, String values)`
  Проверяет занятость списка IP-адресов другими логинами.
  `void`
  `checkIpAddrList(int lid, List<IpAddr> ipAddrList)`
  Проверяет список адресов на конфликты с другими логинами.
  `List<IpAddr>`
  `getAllLoginsIps(int lid)`
  Список ip адресов назначенных для данных логина.
  `static List<IpAddr>`
  `getIpAddrList(String values)`
  Парсит список адресов из строки.
  `List<Long>`
  `getLoginIps(int lid, String realm)`
  Список ip адресов назначенных для данных логина и реалма.
  `HashMap<String,List<Long>>`
  `getLoginsIps(int lid)`
  Список ip адресов назначенных для данных логина.
  `Map<Integer,List<IpAddr>>`
  `getRealtimeAddressMap()`
  Возвращает мам с ключом кодом логина и значением - списком адресов, которые уже установлены или будут установлены в дальнейшем.
  `void`
  `updateLoginIps(int lid, String values)`
  Обновляет значения IP-адресов для логина.
  `void`
  `updateLoginIps(int lid, List<IpAddr> ipList)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LoginIpManager

    public LoginIpManager(Connection con, int mid)

- ## Method Details

  - ### getLoginIps

    public List<Long> getLoginIps(int lid, String realm)
    Список ip адресов назначенных для данных логина и реалма.
    Parameters:
      `lid` -
      `realm` -
    Returns:
      список ip, если кол-во 0, то пустой список

  - ### getLoginsIps

    public HashMap<String,List<Long>> getLoginsIps(int lid)
    Список ip адресов назначенных для данных логина. ключ - Реалм, значение - Список логинов
    Parameters:
      `lid` -
      `realm` -
    Returns:
      список ip, если кол-во 0, то пустой список

  - ### getAllLoginsIps

    public List<IpAddr> getAllLoginsIps(int lid)
    Список ip адресов назначенных для данных логина.
    Parameters:
      `lid` -
      `realm` -
    Returns:
      список ip, если кол-во 0, то пустой список

  - ### getIpAddrList

    public static List<IpAddr> getIpAddrList(String values) throws ru.bitel.bgbilling.common.BGException
    Парсит список адресов из строки.
    Parameters:
      `values` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkIpAddrList

    public void checkIpAddrList(int lid, List<IpAddr> ipAddrList) throws ru.bitel.bgbilling.common.BGException
    Проверяет список адресов на конфликты с другими логинами.
    Parameters:
      `lid` - код логина
      `ipAddrList` - список адресов
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkIpAddrList

    public void checkIpAddrList(int lid, String values) throws ru.bitel.bgbilling.common.BGException
    Проверяет занятость списка IP-адресов другими логинами.
    Parameters:
      `lid` - код логина
      `values` - значения
    Throws:
      `ru.bitel.bgbilling.common.BGException` - в случае, если IP занят

  - ### updateLoginIps

    public void updateLoginIps(int lid, String values) throws ru.bitel.bgbilling.common.BGException
    Обновляет значения IP-адресов для логина.
    Parameters:
      `lid` - код логина
      `values` - новые значения
    Throws:
      `ru.bitel.bgbilling.common.BGException` - в случае, если IP занят

  - ### updateLoginIps

    public void updateLoginIps(int lid, List<IpAddr> ipList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRealtimeAddressMap

    public Map<Integer,List<IpAddr>> getRealtimeAddressMap() throws ru.bitel.bgbilling.common.BGException
    Возвращает мам с ключом кодом логина и значением - списком адресов, которые уже установлены или будут установлены в дальнейшем.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`